Page MenuHomeFreeBSD

[new port] devel/py-pytest-timeout
ClosedPublic

Authored by loader on May 20 2015, 3:24 PM.

Details

Reviewers
koobs
Summary

new port devel/py-pytest-timeout

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=200145

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

loader updated this revision to Diff 5510.May 20 2015, 3:24 PM
loader retitled this revision from to [new port] devel/py-pytest-timeout.
loader updated this object.
loader edited the test plan for this revision. (Show Details)
loader added a reviewer: koobs.
koobs added a subscriber: Unknown Object (MLST).May 21 2015, 1:52 AM
koobs requested changes to this revision.May 21 2015, 2:05 AM
koobs edited edge metadata.

Additional to inline comments, does the port also pass poudriere and portlint -AC (with DEVELOPER=yes enabled in /etc/make.conf) ?

devel/py-pytest-timeout/Makefile
16 ↗(On Diff #5510)

Upstream install_requires (setup.py) field says:

install_requires=['pytest>=2.6.3.dev3'],

I would change this entry to

pytest>=2.6.4

which is the current Ports version of py-pytest

devel/py-pytest-timeout/pkg-descr
1 ↗(On Diff #5510)

Upstream long_description (setup.py) contains:

This is a plugin which will terminate tests after a certain timeout. 
When doing so it will show a stack dump of all threads running at the
time. This is useful when running tests under a continuous integration
server or simply if you don't know why the test suite hangs.

This seems like a more complete/meaningful description than just a copy of COMMENT from Makefile

3 ↗(On Diff #5510)

Upstream URL (setup.py) field contains:

https://bitbucket.org/flub/pytest-timeout
This revision now requires changes to proceed.May 21 2015, 2:05 AM
loader updated this revision to Diff 5515.May 21 2015, 4:06 AM
loader edited edge metadata.

Thanks Kubilay. I've updated patch.

In D2600#48323, @koobs wrote:

Additional to inline comments, does the port also pass poudriere and portlint -AC (with DEVELOPER=yes enabled in /etc/make.conf) ?

Yes, poudriere log is here: https://bz-attachments.freebsd.org/attachment.cgi?id=156743
and with DEVELOPER=yes

portlint -AC

looks fine.

koobs accepted this revision.May 21 2015, 4:12 AM
koobs edited edge metadata.

Looks good mate!

Are you able to commit this? If so, the change is approved.

If not, feel free to either:

  1. Assign the Bugzilla issue to me for commit
  2. Obtain a ports commit bit (or permission to commit) from portmgr and I'll be happy to review/approve this and any of your future changes
This revision is now accepted and ready to land.May 21 2015, 4:12 AM

Hi Kubilay,

Thanks for your help. I only have the doc commit bit,
would you like to be my port mentor?

I have a few port PRs:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=199138
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=199698
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=199774

rodrigc added a subscriber: rodrigc.EditedMay 21 2015, 6:49 AM

@loader: even if you do not have a ports commit bit,
you are allowed to commit to ports if you
put Approved by: a ports committer in your commit message.

See:
Policy for Committer Activity in Other Trees
https://www.freebsd.org/doc/en_US.ISO8859-1/articles/committers-guide/article.html#idp53671760

koobs added a comment.May 21 2015, 8:23 AM

Thanks for the clarity @rodrigc

You look good to commit then @loader, feel free to put your other PR changesets into Phabricator reviews with me as a reviewer. Ideally we can find another person to provide an extra pair of eyes

Hi @koobs @rodrigc,

Thanks so much for your help. I have committed it. r386987

koobs added a comment.May 22 2015, 7:58 AM

You're welcome, it looks good and congratulations! :)

koobs closed this revision.Jun 2 2015, 3:44 AM

Closing manually, committed in rP386987, but not closed here because commit log didn't include:

Differential Revision: https://reviews.freebsd.org/D2600